Package: org.codehaus.groovy.macro.runtime

## [Java] Enum MacroStub

- org.codehaus.groovy.macro.runtime.MacroStub

-     public enum MacroStub
      extends Enum

  Stub for macro calls.

  Since:
    2.5.0

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `INSTANCE` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `<T>` | `public T` | `macroMethod(T obj)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `compareTo, compareTo, describeConstable, equals, getClass, getDeclaringClass, hashCode, name, notify, notifyAll, ordinal, toString, valueOf, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MacroStub INSTANCE

  - ### Method Detail

    - #### <T> public T macroMethod(T obj)